#!/usr/bin/perl
#This perl script is to undo the effects of the zz_remove_message rpm
#namely, putting the "message=/boot/message" line back into 
# /etc/lilo.conf if the zz_remove_message rpm should ever be uninstalled
$newmessageline="message=/boot/message\n";
####################################################
# Modify /etc/lilo.conf
####################################################

$MessageLineDone = 0;
open (LILO,"/etc/lilo.conf");
while ($ThisLine = <LILO>) {
   # If there is already a 'message=' line, do nothing...
   if ($ThisLine =~ m/message=/ ) {
      print "message=/boot/message line in lilo.conf is already there...\n";
      $MessageLineDone = 1;
   }

   # Store lilo line...
   push @lilo, $ThisLine;

}
close (LILO);

# open /etc/lilo.conf for writing
open (LILO,">/etc/lilo.conf");

# Write file...
# message line has to be added right after timeout line
foreach $ThisLine (@lilo) {
   print LILO $ThisLine;
   if ( $ThisLine =~ /^timeout/ ) {
      if ( $MessageLineDone != 1 ) { 
          print LILO $newmessageline;
      }
      }
}
close (LILO);

print "\nWrote /etc/lilo.conf and now running lilo...\n";
system("/sbin/lilo");

